Search documentation of wx

# View Source wxPrintDialogData (wx v2.4.3)

This class holds information related to the visual characteristics of `wxPrintDialog`.

It contains a `wxPrintData` object with underlying printing settings.

See:

- Overview printing

- `wxPrintDialog`

- Overview cmndlg

wxWidgets docs: wxPrintDialogData

# Summary

## Types

wxPrintDialogData()

## Functions

destroy(This)

Destroys the object

enableHelp(This, Flag)

Enables or disables the "Help" button.

enablePageNumbers(This, Flag)

Enables or disables the "Page numbers" controls.

enablePrintToFile(This, Flag)

Enables or disables the "Print to file" checkbox.

enableSelection(This, Flag)

Enables or disables the "Selection" radio button.

getAllPages(This)

Returns true if the user requested that all pages be printed.

getCollate(This)

Returns true if the user requested that the document(s) be collated.

getFromPage(This)

Returns the `from` page number, as entered by the user.

getMaxPage(This)

Returns the `maximum` page number.

getMinPage(This)

Returns the `minimum` page number.

getNoCopies(This)

Returns the number of copies requested by the user.

getPrintData(This)

Returns a reference to the internal `wxPrintData` object.

getPrintToFile(This)

Returns true if the user has selected printing to a file.

getSelection(This)

Returns true if the user requested that the selection be printed (where "selection" is a concept specific to the application).

getToPage(This)

Returns the `"print to"` page number, as entered by the user.

isOk(This)

Returns true if the print data is valid for using in print dialogs.

new()

Default constructor.

new(DialogData)

Copy constructor.

setCollate(This, Flag)

Sets the "Collate" checkbox to true or false.

setFromPage(This, Page)

Sets the `from` page number.

setMaxPage(This, Page)

Sets the `maximum` page number.

setMinPage(This, Page)

Sets the `minimum` page number.

setNoCopies(This, N)

Sets the default number of copies the user has requested to be printed out.

setPrintData(This, PrintData)

Sets the internal `wxPrintData`.

setPrintToFile(This, Flag)

Sets the "Print to file" checkbox to true or false.

setSelection(This, Flag)

Selects the "Selection" radio button.

setToPage(This, Page)

Sets the `"print to"` page number.

# Types

Link to this type

# wxPrintDialogData()

View Source

    -type wxPrintDialogData() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPrintDialogData()) -> ok.

Destroys the object

Link to this function

# enableHelp(This, Flag)

View Source

    -spec enableHelp(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Enables or disables the "Help" button.

Link to this function

# enablePageNumbers(This, Flag)

View Source

    -spec enablePageNumbers(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Enables or disables the "Page numbers" controls.

Link to this function

# enablePrintToFile(This, Flag)

View Source

    -spec enablePrintToFile(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Enables or disables the "Print to file" checkbox.

Link to this function

# enableSelection(This, Flag)

View Source

    -spec enableSelection(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Enables or disables the "Selection" radio button.

Link to this function

# getAllPages(This)

View Source

    -spec getAllPages(This) -> boolean() when This :: wxPrintDialogData().

Returns true if the user requested that all pages be printed.

Link to this function

# getCollate(This)

View Source

    -spec getCollate(This) -> boolean() when This :: wxPrintDialogData().

Returns true if the user requested that the document(s) be collated.

Link to this function

# getFromPage(This)

View Source

    -spec getFromPage(This) -> integer() when This :: wxPrintDialogData().

Returns the `from` page number, as entered by the user.

Link to this function

# getMaxPage(This)

View Source

    -spec getMaxPage(This) -> integer() when This :: wxPrintDialogData().

Returns the `maximum` page number.

Link to this function

# getMinPage(This)

View Source

    -spec getMinPage(This) -> integer() when This :: wxPrintDialogData().

Returns the `minimum` page number.

Link to this function

# getNoCopies(This)

View Source

    -spec getNoCopies(This) -> integer() when This :: wxPrintDialogData().

Returns the number of copies requested by the user.

Link to this function

# getPrintData(This)

View Source

    -spec getPrintData(This) -> wxPrintData:wxPrintData() when This :: wxPrintDialogData().

Returns a reference to the internal `wxPrintData` object.

Link to this function

# getPrintToFile(This)

View Source

    -spec getPrintToFile(This) -> boolean() when This :: wxPrintDialogData().

Returns true if the user has selected printing to a file.

Link to this function

# getSelection(This)

View Source

    -spec getSelection(This) -> boolean() when This :: wxPrintDialogData().

Returns true if the user requested that the selection be printed (where "selection" is a concept specific to the application).

Link to this function

# getToPage(This)

View Source

    -spec getToPage(This) -> integer() when This :: wxPrintDialogData().

Returns the `"print to"` page number, as entered by the user.

Link to this function

# isOk(This)

View Source

    -spec isOk(This) -> boolean() when This :: wxPrintDialogData().

Returns true if the print data is valid for using in print dialogs.

This can return false on Windows if the current printer is not set, for example. On all other platforms, it returns true.

Link to this function

# new()

View Source

    -spec new() -> wxPrintDialogData().

Default constructor.

Link to this function

# new(DialogData)

View Source

    -spec new(DialogData) -> wxPrintDialogData()
                 when DialogData :: wxPrintDialogData:wxPrintDialogData() | wxPrintData:wxPrintData().

Copy constructor.

Link to this function

# setCollate(This, Flag)

View Source

    -spec setCollate(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Sets the "Collate" checkbox to true or false.

Link to this function

# setFromPage(This, Page)

View Source

    -spec setFromPage(This, Page) -> ok when This :: wxPrintDialogData(), Page :: integer().

Sets the `from` page number.

Link to this function

# setMaxPage(This, Page)

View Source

    -spec setMaxPage(This, Page) -> ok when This :: wxPrintDialogData(), Page :: integer().

Sets the `maximum` page number.

Link to this function

# setMinPage(This, Page)

View Source

    -spec setMinPage(This, Page) -> ok when This :: wxPrintDialogData(), Page :: integer().

Sets the `minimum` page number.

Link to this function

# setNoCopies(This, N)

View Source

    -spec setNoCopies(This, N) -> ok when This :: wxPrintDialogData(), N :: integer().

Sets the default number of copies the user has requested to be printed out.

Link to this function

# setPrintData(This, PrintData)

View Source

    -spec setPrintData(This, PrintData) -> ok
                          when This :: wxPrintDialogData(), PrintData :: wxPrintData:wxPrintData().

Sets the internal `wxPrintData`.

Link to this function

# setPrintToFile(This, Flag)

View Source

    -spec setPrintToFile(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Sets the "Print to file" checkbox to true or false.

Link to this function

# setSelection(This, Flag)

View Source

    -spec setSelection(This, Flag) -> ok when This :: wxPrintDialogData(), Flag :: boolean().

Selects the "Selection" radio button.

The effect of printing the selection depends on how the application implements this command, if at all.

Link to this function

# setToPage(This, Page)

View Source

    -spec setToPage(This, Page) -> ok when This :: wxPrintDialogData(), Page :: integer().

Sets the `"print to"` page number.